Update for 3.6+ Rated 5 out of 5 stars

I use this ALL the time!
*Please* update for Firefox 3.6!

Thanks,
Laker

This review is for a previous version of the add-on (1.5.5). 

3.6 support

Hi Laker,
3.6 support is available in version 1.5 which has been in the add-on approval queue since November. We're hoping that it will be approved right away.

Mike